
Name:       kcalc
Summary:    KDE Calculator
Version:    23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2 and GPLD
URL:         http://utils.kde.org/projects/kcalc
Source0:    http://download.kde.org/stable/%{version}/src/%name-%{version}.tar.xz
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5concurrent-devel

BuildRequires: kf5-macros
BuildRequires: kconfig-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: knotifications-devel
BuildRequires: kxmlgui-devel

BuildRequires: gmp-devel
BuildRequires: lib64mpfr-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl


%description
KCalc is a calculator which offers many more mathematical functions
than meet the eye on a first glance. Please study the section on
keyboard accelerators and modes in the handbook to learn more about
the many functions available.

%files
%_kf5_bindir
%_kf5_datadir
%exclude %_kf5_docdir/HTML
#------------------------------------------------------------------------------

%package -n kcalc-handbook
Summary: kcalc Handbook
BuildArch: noarch
Requires: %name
Group: Documentation

%description -n kcalc-handbook
This package provides Kcalc Handbook.

%files -n kcalc-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

